2008-04-04 10:32:31     How to deal with " invalid option `cpu=bf533-0.3' " problem?

Document created by Aaronwu Employee on Aug 6, 2013
Version 1Show Document
  • View in full screen mode

2008-04-04 10:32:31     How to deal with " invalid option `cpu=bf533-0.3' " problem?

Jason Chen (CHINA)

Message: 53641   

 

Hi everyone

 

I just installed colinux and copy "uClinux-dist-2008R1-RC8" to "usr" directory

after "make menuconfig" , there is a error when i "make" it

 

the error message was followed:

 

colinux:/usr/uClinux-dist-2008R1-RC8# make

rm -f linux-2.6.x/usr/initramfs_data.cpio.gz

make ARCH=blackfin   CROSS_COMPILE=bfin-uclinux- -j1 -C linux-2.6.x  || exit 1

make[1]: Entering directory `/usr/uClinux-dist-2008R1-RC8/linux-2.6.x'

  CHK     include/linux/version.h

  CHK     include/linux/utsrelease.h

  CC      arch/blackfin/kernel/asm-offsets.s

cc1: error: invalid option `cpu=bf533-0.3'

make[2]: *** [arch/blackfin/kernel/asm-offsets.s] Error 1

make[1]: *** [prepare0] Error 2

make[1]: Leaving directory `/usr/uClinux-dist-2008R1-RC8/linux-2.6.x'

make: *** [linux] Error 1

colinux:/usr/uClinux-dist-2008R1-RC8#

 

who can help me ?

 

thx !

 

jason

TranslateQuoteReplyEditDelete

 

 

2008-04-04 10:41:13     Re: How to deal with " invalid option `cpu=bf533-0.3' " problem?

Mike Frysinger (UNITED STATES)

Message: 53642    please read the FAQ (Why do I need to use the same version of toolchain/kernel/uClibc/U-boot/uClinux-dist?):

http://docs.blackfin.uclinux.org/doku.php?id=faq

QuoteReplyEditDelete

 

 

2008-04-10 00:39:32     Re: How to deal with " invalid option `cpu=bf533-0.3' " problem?

zhi shaolong (CHINA)

Message: 53962   

 

i meet the same problem.

 

since i have read FAQ (Why do I need to use the same version of toolchain/kernel/uClibc/U-boot/uClinux-dist?):

http://docs.blackfin.uclinux.org/doku.php?id=faq,

 

and i used kernel is uClinux-dist-2008R1-RC8; toolchains is the latest version.

 

but the problem still exist.

 

could you help  me?

 

 

QuoteReplyEditDelete

 

 

2008-04-10 00:58:28     Re: How to deal with " invalid option `cpu=bf533-0.3' " problem?

Mike Frysinger (UNITED STATES)

Message: 53965    you're using the wrong toolchain then if it is telling you cpu is an invalid option.  check your PATH:

http://docs.blackfin.uclinux.org/doku.php?id=toolchain:installing#setting_the_path_environment_variable

Attachments

    Outcomes